EDIT - bug #7687

NPE in TypeDesignationSetManager
08/27/2018 01:55 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.3

Severity: critical Found in Version:

Description

Arbeit mit Vaadin
http:/test.e-taxonomy.eu/cdmserver/phycobank_production/app/registration#!workingset/8295ec6¢c-d84f-409a-a83c-0e5215a94fe3
Gymnodinium alaskense Moestrup & Calado

Name angelegt als Validierung,

anschlieBend Specimen Type angelegt, gespeichert.

Noch mal den Namen zum Korrekturlesen geéffnet und speichern geklickt, da nichts passierte auf Abbrechen geklickt und
Fehlermeldung bekommen.

Viele GriuBe,
Henning

java.lang.NullPointerException

at eu.etaxonomy.cdm.api.service.name.TypeDesignationSetManager.stringify (TypeD
esignationSetManager. java:522)

at eu.etaxonomy.cdm.api.service.name.TypeDesignationSetManager.stringify (TypeD
esignationSetManager. java:458)

at eu.etaxonomy.cdm.api.service.name.TypeDesignationSetManager.mapTypeDesignat
ion (TypeDesignationSetManager. java:167)

at eu.etaxonomy.cdm.api.service.name.TypeDesignationSetManager.lambdaS$SmapAndSo
rt$0 (TypeDesignationSetManager. java:146)

at java.lang.Iterable.forEach (Iterable.java:75)

at eu.etaxonomy.cdm.api.service.name.TypeDesignationSetManager.mapAndSort (Type
DesignationSetManager.java:146)

at eu.etaxonomy.cdm.api.service.name.TypeDesignationSetManager.<init> (TypeDesi
gnationSetManager. java:115)

at eu.etaxonomy.cdm.api.service.dto.RegistrationDTO.<init> (RegistrationDTO. jav
a:110)

at eu.etaxonomy.cdm.api.service.registration.RegistrationWorkingSetService.lam
bda$makeDTOs$0 (RegistrationWorkingSetService. java:351)

at java.util.ArrayList.forEach (ArrayList.java:1249)

at eu.etaxonomy.cdm.api.service.registration.RegistrationWorkingSetService.mak
eDTOs (RegistrationWorkingSetService. java:351)

at eu.etaxonomy.cdm.api.service.registration.RegistrationWorkingSetService.loa
dWorkingSetByReferenceUuid (RegistrationWorkingSetService. java:276)

at sun.reflect.GeneratedMethodAccessor2320.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImp
1.java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (Aop
Utils.java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoin
t (ReflectiveMethodInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (Reflec
tiveMethodInvocation. java:157)

at org.springframework.transaction.interceptor.TransactionInterceptor$l.procee
dWithInvocation (TransactionInterceptor. java:99)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invoke
WithinTransaction (TransactionAspectSupport. java:281)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (T
ransactionInterceptor. java:96)
http://test.e-taxonomy.eu/cdmserver/phycobank_production/app/registration#!workingset/8295ec6c-d84f-409a-a83c-0e5215a94fe3

Danach kam ein Internal Error, Escape und Aufruf von “List” mit Suche nach ,Gymnodinium* fihrte zu folgendem Error:

com.vaadin.server.ServerRpcManager$RpcInvocationException: Unable to invoke method click in com.va
adin.shared.ui.button.ButtonServerRpc

at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager.java:16
2)

at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager.java:1ll
9)

at com.vaadin.server.communication.ServerRpcHandler.handleInvocation (ServerRpc
Handler.java:437)

at com.vaadin.server.communication.ServerRpcHandler.handleInvocations (ServerRp
cHandler.java:402)

Caused by: java.lang.NullPointerException

at eu.etaxonomy.cdm.api.service.name.TypeDesignationSetManager.stringify (TypeD
esignationSetManager. java:522)

at eu.etaxonomy.cdm.api.service.name.TypeDesignationSetManager.stringify (TypeD
esignationSetManager. java:458)

at eu.etaxonomy.cdm.api.service.name.TypeDesignationSetManager.mapTypeDesignat
ion (TypeDesignationSetManager. java:167)

at eu.etaxonomy.cdm.api.service.name.TypeDesignationSetManager.lambdaSmapAndSo
rt$0 (TypeDesignationSetManager. java:146)

at java.lang.Iterable.forEach(Iterable. java:75)

at eu.etaxonomy.cdm.api.service.name.TypeDesignationSetManager.mapAndSort (Type
DesignationSetManager.java:146)

at eu.etaxonomy.cdm.api.service.name.TypeDesignationSetManager.<init> (TypeDesi
gnationSetManager. java:115)

at eu.etaxonomy.cdm.api.service.dto.RegistrationDTO.<init> (RegistrationDTO. jav
a:110)

at eu.etaxonomy.cdm.api.service.registration.RegistrationWorkingSetService.lam
bda$makeDTOs$0 (RegistrationWorkingSetService. java:351)

at java.util.Arraylist.forEach (ArrayList.java:1249)

at eu.etaxonomy.cdm.api.service.registration.RegistrationWorkingSetService.mak
eDTOs (RegistrationWorkingSetService. java:351)

at eu.etaxonomy.cdm.api.service.registration.RegistrationWorkingSetService.con
vertToDTOPager (RegistrationWorkingSetService. java:194)

at eu.etaxonomy.cdm.api.service.registration.RegistrationWorkingSetService.pag
eDTOs (RegistrationWorkingSetService. java:223)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:6
2)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImp
1.java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

Associated revisions

Revision 73e4daae - 08/21/2018 04:06 PM - Andreas Miiller
fix NPE in TypeDesignationSetManager.stringify(TypeDesignationSetManager.java:522)

History

#1 - 08/27/2018 01:57 PM - Andreas Kohlbecker

Hallo,
habe ich vorlaufig gefixt: 73e4daa. Wird heute Nacht eingespielt.
Andreas K., schaust du nochmal drauf, wenn du zuriick bist.

Viele Grif3e,
Andreas M.

#2 - 08/27/2018 02:03 PM - Andreas Kohlbecker
- Status changed from New to Closed

- Assignee changed from Andreas Kohlbecker to Andreas Miiller
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/73e4daae906f552a765f81a98dac4eb724df8e87

- % Done changed from 0 to 100

Fix looks ok!
